diff -uNr PDFlib-Lite-7.0.4/bind/pdflib/cpp/starter_textline.vcproj PDFlib-Lite-7.0.5/bind/pdflib/cpp/starter_textline.vcproj
--- PDFlib-Lite-7.0.4/bind/pdflib/cpp/starter_textline.vcproj	2009-06-08 17:57:26.000000000 +0200
+++ PDFlib-Lite-7.0.5/bind/pdflib/cpp/starter_textline.vcproj	2010-04-29 15:50:03.000000000 +0200
@@ -1,197 +1,197 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioProject
-	ProjectType="Visual C++"
-	Version="7.10"
-	Name="starter_textline"
-	ProjectGUID="{55F0E0EC-EF05-4105-8A5A-BD474B87A5E5}"
-	SccProjectName=""
-	SccLocalPath="">
-	<Platforms>
-		<Platform
-			Name="Win32"/>
-	</Platforms>
-	<Configurations>
-		<Configuration
-			Name="Debug|Win32"
-			OutputDirectory=".\Debug"
-			IntermediateDirectory=".\Debug"
-			ConfigurationType="1"
-			UseOfMFC="0"
-			ATLMinimizesCRunTimeLibraryUsage="FALSE"
-			CharacterSet="2">
-			<Tool
-				Name="VCCLCompilerTool"
-				Optimization="0"
-				AdditionalIncludeDirectories="../../../libs/pdflib,../../pdflib"
-				PreprocessorDefinitions="WIN32;_DEBUG;_CONSOLE;_MT"
-				RuntimeLibrary="1"
-				UsePrecompiledHeader="2"
-				PrecompiledHeaderFile=".\Debug/starter_textline.pch"
-				AssemblerListingLocation=".\Debug/"
-				ObjectFile=".\Debug/"
-				ProgramDataBaseFileName=".\Debug/"
-				WarningLevel="3"
-				SuppressStartupBanner="TRUE"
-				DebugInformationFormat="4"
-				CompileAs="0"/>
-			<Tool
-				Name="VCCustomBuildTool"/>
-			<Tool
-				Name="VCLinkerTool"
-				AdditionalDependencies="odbc32.lib odbccp32.lib pdflib.lib"
-				OutputFile=".\Debug/starter_textline.exe"
-				Version="6.0"
-				LinkIncremental="2"
-				SuppressStartupBanner="TRUE"
-				AdditionalLibraryDirectories="..\..\..\libs\pdflib\Debug,..\..\pdflib"
-				GenerateDebugInformation="TRUE"
-				SubSystem="1"
-				TargetMachine="1"/>
-			<Tool
-				Name="VCMIDLTool"
-				TypeLibraryName=".\Debug/starter_textline.tlb"
-				HeaderFileName=""/>
-			<Tool
-				Name="VCPostBuildEventTool"/>
-			<Tool
-				Name="VCPreBuildEventTool"/>
-			<Tool
-				Name="VCPreLinkEventTool"/>
-			<Tool
-				Name="VCResourceCompilerTool"
-				PreprocessorDefinitions="_DEBUG"
-				Culture="1031"/>
-			<Tool
-				Name="VCWebServiceProxyGeneratorTool"/>
-			<Tool
-				Name="VCXMLDataGeneratorTool"/>
-			<Tool
-				Name="VCWebDeploymentTool"/>
-			<Tool
-				Name="VCManagedWrapperGeneratorTool"/>
-			<Tool
-				Name="VCAuxiliaryManagedWrapperGeneratorTool"/>
-		</Configuration>
-		<Configuration
-			Name="Release|Win32"
-			OutputDirectory="."
-			IntermediateDirectory=".\Release"
-			ConfigurationType="1"
-			UseOfMFC="0"
-			ATLMinimizesCRunTimeLibraryUsage="FALSE"
-			CharacterSet="2">
-			<Tool
-				Name="VCCLCompilerTool"
-				Optimization="2"
-				InlineFunctionExpansion="1"
-				AdditionalIncludeDirectories="../../../libs/pdflib,../../pdflib"
-				PreprocessorDefinitions="WIN32;_CONSOLE;_MT"
-				StringPooling="TRUE"
-				RuntimeLibrary="0"
-				EnableFunctionLevelLinking="TRUE"
-				UsePrecompiledHeader="2"
-				PrecompiledHeaderFile=".\Release/starter_textline.pch"
-				AssemblerListingLocation=".\Release/"
-				ObjectFile=".\Release/"
-				ProgramDataBaseFileName=".\Release/"
-				WarningLevel="3"
-				SuppressStartupBanner="TRUE"
-				CompileAs="0"/>
-			<Tool
-				Name="VCCustomBuildTool"/>
-			<Tool
-				Name="VCLinkerTool"
-				AdditionalDependencies="odbc32.lib odbccp32.lib pdflib.lib"
-				OutputFile="release\starter_textline.exe"
-				Version="6.0"
-				LinkIncremental="2"
-				SuppressStartupBanner="TRUE"
-				AdditionalLibraryDirectories="..\..\..\libs\pdflib\Release,..\..\pdflib"
-				SubSystem="1"
-				TargetMachine="1"/>
-			<Tool
-				Name="VCMIDLTool"
-				TypeLibraryName="./starter_textline.tlb"
-				HeaderFileName=""/>
-			<Tool
-				Name="VCPostBuildEventTool"/>
-			<Tool
-				Name="VCPreBuildEventTool"/>
-			<Tool
-				Name="VCPreLinkEventTool"/>
-			<Tool
-				Name="VCResourceCompilerTool"
-				PreprocessorDefinitions="_DEBUG"
-				Culture="1031"/>
-			<Tool
-				Name="VCWebServiceProxyGeneratorTool"/>
-			<Tool
-				Name="VCXMLDataGeneratorTool"/>
-			<Tool
-				Name="VCWebDeploymentTool"/>
-			<Tool
-				Name="VCManagedWrapperGeneratorTool"/>
-			<Tool
-				Name="VCAuxiliaryManagedWrapperGeneratorTool"/>
-		</Configuration>
-	</Configurations>
-	<References>
-	</References>
-	<Files>
-		<Filter
-			Name="Source Files"
-			Filter="cpp;c;cxx;rc;def;r;odl;idl;hpj;bat">
-			<File
-				RelativePath="pdflib.cpp">
-				<FileConfiguration
-					Name="Debug|Win32">
-					<Tool
-						Name="VCCLCompilerTool"
-						Optimization="0"
-						AdditionalIncludeDirectories=""
-						PreprocessorDefinitions=""/>
-				</FileConfiguration>
-				<FileConfiguration
-					Name="Release|Win32">
-					<Tool
-						Name="VCCLCompilerTool"
-						Optimization="2"
-						AdditionalIncludeDirectories=""
-						PreprocessorDefinitions=""/>
-				</FileConfiguration>
-			</File>
-			<File
-				RelativePath="starter_textline.cpp">
-				<FileConfiguration
-					Name="Debug|Win32">
-					<Tool
-						Name="VCCLCompilerTool"
-						Optimization="0"
-						AdditionalIncludeDirectories=""
-						PreprocessorDefinitions=""/>
-				</FileConfiguration>
-				<FileConfiguration
-					Name="Release|Win32">
-					<Tool
-						Name="VCCLCompilerTool"
-						Optimization="2"
-						AdditionalIncludeDirectories=""
-						PreprocessorDefinitions=""/>
-				</FileConfiguration>
-			</File>
-		</Filter>
-		<Filter
-			Name="Header Files"
-			Filter="h;hpp;hxx;hm;inl">
-			<File
-				RelativePath="pdflib.hpp">
-			</File>
-		</Filter>
-		<Filter
-			Name="Resource Files"
-			Filter="ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe">
-		</Filter>
-	</Files>
-	<Globals>
-	</Globals>
-</VisualStudioProject>
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioProject
+	ProjectType="Visual C++"
+	Version="7.10"
+	Name="starter_textline"
+	ProjectGUID="{55F0E0EC-EF05-4105-8A5A-BD474B87A5E5}"
+	SccProjectName=""
+	SccLocalPath="">
+	<Platforms>
+		<Platform
+			Name="Win32"/>
+	</Platforms>
+	<Configurations>
+		<Configuration
+			Name="Debug|Win32"
+			OutputDirectory=".\Debug"
+			IntermediateDirectory=".\Debug"
+			ConfigurationType="1"
+			UseOfMFC="0"
+			ATLMinimizesCRunTimeLibraryUsage="FALSE"
+			CharacterSet="2">
+			<Tool
+				Name="VCCLCompilerTool"
+				Optimization="0"
+				AdditionalIncludeDirectories="../../../libs/pdflib,../../pdflib"
+				PreprocessorDefinitions="WIN32;_CRT_SECURE_NO_WARNINGS;_DEBUG;_CONSOLE;_MT"
+				RuntimeLibrary="1"
+				UsePrecompiledHeader="2"
+				PrecompiledHeaderFile=".\Debug/starter_textline.pch"
+				AssemblerListingLocation=".\Debug/"
+				ObjectFile=".\Debug/"
+				ProgramDataBaseFileName=".\Debug/"
+				WarningLevel="3"
+				SuppressStartupBanner="TRUE"
+				DebugInformationFormat="4"
+				CompileAs="0"/>
+			<Tool
+				Name="VCCustomBuildTool"/>
+			<Tool
+				Name="VCLinkerTool"
+				AdditionalDependencies="odbc32.lib odbccp32.lib pdflib.lib"
+				OutputFile=".\Debug/starter_textline.exe"
+				Version="6.0"
+				LinkIncremental="2"
+				SuppressStartupBanner="TRUE"
+				AdditionalLibraryDirectories="..\..\..\libs\pdflib\Debug,..\..\pdflib"
+				GenerateDebugInformation="TRUE"
+				SubSystem="1"
+				TargetMachine="1"/>
+			<Tool
+				Name="VCMIDLTool"
+				TypeLibraryName=".\Debug/starter_textline.tlb"
+				HeaderFileName=""/>
+			<Tool
+				Name="VCPostBuildEventTool"/>
+			<Tool
+				Name="VCPreBuildEventTool"/>
+			<Tool
+				Name="VCPreLinkEventTool"/>
+			<Tool
+				Name="VCResourceCompilerTool"
+				PreprocessorDefinitions="_DEBUG"
+				Culture="1031"/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"/>
+			<Tool
+				Name="VCWebDeploymentTool"/>
+			<Tool
+				Name="VCManagedWrapperGeneratorTool"/>
+			<Tool
+				Name="VCAuxiliaryManagedWrapperGeneratorTool"/>
+		</Configuration>
+		<Configuration
+			Name="Release|Win32"
+			OutputDirectory="."
+			IntermediateDirectory=".\Release"
+			ConfigurationType="1"
+			UseOfMFC="0"
+			ATLMinimizesCRunTimeLibraryUsage="FALSE"
+			CharacterSet="2">
+			<Tool
+				Name="VCCLCompilerTool"
+				Optimization="2"
+				InlineFunctionExpansion="1"
+				AdditionalIncludeDirectories="../../../libs/pdflib,../../pdflib"
+				PreprocessorDefinitions="WIN32;_CRT_SECURE_NO_WARNINGS;_CONSOLE;_MT"
+				StringPooling="TRUE"
+				RuntimeLibrary="0"
+				EnableFunctionLevelLinking="TRUE"
+				UsePrecompiledHeader="2"
+				PrecompiledHeaderFile=".\Release/starter_textline.pch"
+				AssemblerListingLocation=".\Release/"
+				ObjectFile=".\Release/"
+				ProgramDataBaseFileName=".\Release/"
+				WarningLevel="3"
+				SuppressStartupBanner="TRUE"
+				CompileAs="0"/>
+			<Tool
+				Name="VCCustomBuildTool"/>
+			<Tool
+				Name="VCLinkerTool"
+				AdditionalDependencies="odbc32.lib odbccp32.lib pdflib.lib"
+				OutputFile="release\starter_textline.exe"
+				Version="6.0"
+				LinkIncremental="2"
+				SuppressStartupBanner="TRUE"
+				AdditionalLibraryDirectories="..\..\..\libs\pdflib\Release,..\..\pdflib"
+				SubSystem="1"
+				TargetMachine="1"/>
+			<Tool
+				Name="VCMIDLTool"
+				TypeLibraryName="./starter_textline.tlb"
+				HeaderFileName=""/>
+			<Tool
+				Name="VCPostBuildEventTool"/>
+			<Tool
+				Name="VCPreBuildEventTool"/>
+			<Tool
+				Name="VCPreLinkEventTool"/>
+			<Tool
+				Name="VCResourceCompilerTool"
+				PreprocessorDefinitions="_DEBUG"
+				Culture="1031"/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"/>
+			<Tool
+				Name="VCWebDeploymentTool"/>
+			<Tool
+				Name="VCManagedWrapperGeneratorTool"/>
+			<Tool
+				Name="VCAuxiliaryManagedWrapperGeneratorTool"/>
+		</Configuration>
+	</Configurations>
+	<References>
+	</References>
+	<Files>
+		<Filter
+			Name="Source Files"
+			Filter="cpp;c;cxx;rc;def;r;odl;idl;hpj;bat">
+			<File
+				RelativePath="pdflib.cpp">
+				<FileConfiguration
+					Name="Debug|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="0"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="2"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath="starter_textline.cpp">
+				<FileConfiguration
+					Name="Debug|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="0"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="2"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""/>
+				</FileConfiguration>
+			</File>
+		</Filter>
+		<Filter
+			Name="Header Files"
+			Filter="h;hpp;hxx;hm;inl">
+			<File
+				RelativePath="pdflib.hpp">
+			</File>
+		</Filter>
+		<Filter
+			Name="Resource Files"
+			Filter="ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe">
+		</Filter>
+	</Files>
+	<Globals>
+	</Globals>
+</VisualStudioProject>
diff -uNr PDFlib-Lite-7.0.4/bind/pdflib/cpp/starter_type3font.cpp PDFlib-Lite-7.0.5/bind/pdflib/cpp/starter_type3font.cpp
--- PDFlib-Lite-7.0.4/bind/pdflib/cpp/starter_type3font.cpp	2009-06-08 17:57:34.000000000 +0200
+++ PDFlib-Lite-7.0.5/bind/pdflib/cpp/starter_type3font.cpp	2010-04-29 15:50:11.000000000 +0200
@@ -1,4 +1,4 @@
-/* $Id: starter_type3font.cpp,v 1.1.2.1 2007/12/20 16:28:32 kurt Exp $
+/* $Id: starter_type3font.cpp,v 1.1.2.2 2009/11/18 00:16:10 rjs Exp $
  * Type 3 font starter:
  * Create a simple Type 3 font from vector data
  *
@@ -52,11 +52,11 @@
         p.end_glyph();
         p.begin_glyph("space", 266, 0, 0, 0, 0);
         p.end_glyph();
-        p.begin_glyph("l", 266, 69, 0, 197, 530);
+        p.begin_glyph("l", 266, 0, 0, 266, 570);
         p.setlinewidth(20);
         p.setdash(0, 0);
         x = 197;
-        y = 0;
+        y = 10;
         p.moveto(x, y);
         y += 530;
         p.lineto(x, y);
@@ -67,7 +67,6 @@
         x += 128;
         p.lineto(x, y);
 
-        p.closepath();
         p.stroke();
         p.end_glyph();
 
diff -uNr PDFlib-Lite-7.0.4/bind/pdflib/cpp/starter_type3font.vcproj PDFlib-Lite-7.0.5/bind/pdflib/cpp/starter_type3font.vcproj
--- PDFlib-Lite-7.0.4/bind/pdflib/cpp/starter_type3font.vcproj	2009-06-08 17:57:26.000000000 +0200
+++ PDFlib-Lite-7.0.5/bind/pdflib/cpp/starter_type3font.vcproj	2010-04-29 15:50:03.000000000 +0200
@@ -1,197 +1,197 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioProject
-	ProjectType="Visual C++"
-	Version="7.10"
-	Name="starter_type3font"
-	ProjectGUID="{55F0E0EC-EF05-4105-8A5A-BD474B87A5E3}"
-	SccProjectName=""
-	SccLocalPath="">
-	<Platforms>
-		<Platform
-			Name="Win32"/>
-	</Platforms>
-	<Configurations>
-		<Configuration
-			Name="Debug|Win32"
-			OutputDirectory=".\Debug"
-			IntermediateDirectory=".\Debug"
-			ConfigurationType="1"
-			UseOfMFC="0"
-			ATLMinimizesCRunTimeLibraryUsage="FALSE"
-			CharacterSet="2">
-			<Tool
-				Name="VCCLCompilerTool"
-				Optimization="0"
-				AdditionalIncludeDirectories="../../../libs/pdflib,../../pdflib"
-				PreprocessorDefinitions="WIN32;_DEBUG;_CONSOLE;_MT"
-				RuntimeLibrary="1"
-				UsePrecompiledHeader="2"
-				PrecompiledHeaderFile=".\Debug/starter_type3font.pch"
-				AssemblerListingLocation=".\Debug/"
-				ObjectFile=".\Debug/"
-				ProgramDataBaseFileName=".\Debug/"
-				WarningLevel="3"
-				SuppressStartupBanner="TRUE"
-				DebugInformationFormat="4"
-				CompileAs="0"/>
-			<Tool
-				Name="VCCustomBuildTool"/>
-			<Tool
-				Name="VCLinkerTool"
-				AdditionalDependencies="odbc32.lib odbccp32.lib pdflib.lib"
-				OutputFile=".\Debug/starter_type3font.exe"
-				Version="6.0"
-				LinkIncremental="2"
-				SuppressStartupBanner="TRUE"
-				AdditionalLibraryDirectories="..\..\..\libs\pdflib\Debug,..\..\pdflib"
-				GenerateDebugInformation="TRUE"
-				SubSystem="1"
-				TargetMachine="1"/>
-			<Tool
-				Name="VCMIDLTool"
-				TypeLibraryName=".\Debug/starter_type3font.tlb"
-				HeaderFileName=""/>
-			<Tool
-				Name="VCPostBuildEventTool"/>
-			<Tool
-				Name="VCPreBuildEventTool"/>
-			<Tool
-				Name="VCPreLinkEventTool"/>
-			<Tool
-				Name="VCResourceCompilerTool"
-				PreprocessorDefinitions="_DEBUG"
-				Culture="1031"/>
-			<Tool
-				Name="VCWebServiceProxyGeneratorTool"/>
-			<Tool
-				Name="VCXMLDataGeneratorTool"/>
-			<Tool
-				Name="VCWebDeploymentTool"/>
-			<Tool
-				Name="VCManagedWrapperGeneratorTool"/>
-			<Tool
-				Name="VCAuxiliaryManagedWrapperGeneratorTool"/>
-		</Configuration>
-		<Configuration
-			Name="Release|Win32"
-			OutputDirectory="."
-			IntermediateDirectory=".\Release"
-			ConfigurationType="1"
-			UseOfMFC="0"
-			ATLMinimizesCRunTimeLibraryUsage="FALSE"
-			CharacterSet="2">
-			<Tool
-				Name="VCCLCompilerTool"
-				Optimization="2"
-				InlineFunctionExpansion="1"
-				AdditionalIncludeDirectories="../../../libs/pdflib,../../pdflib"
-				PreprocessorDefinitions="WIN32;_CONSOLE;_MT"
-				StringPooling="TRUE"
-				RuntimeLibrary="0"
-				EnableFunctionLevelLinking="TRUE"
-				UsePrecompiledHeader="2"
-				PrecompiledHeaderFile=".\Release/starter_type3font.pch"
-				AssemblerListingLocation=".\Release/"
-				ObjectFile=".\Release/"
-				ProgramDataBaseFileName=".\Release/"
-				WarningLevel="3"
-				SuppressStartupBanner="TRUE"
-				CompileAs="0"/>
-			<Tool
-				Name="VCCustomBuildTool"/>
-			<Tool
-				Name="VCLinkerTool"
-				AdditionalDependencies="odbc32.lib odbccp32.lib pdflib.lib"
-				OutputFile="release\starter_type3font.exe"
-				Version="6.0"
-				LinkIncremental="2"
-				SuppressStartupBanner="TRUE"
-				AdditionalLibraryDirectories="..\..\..\libs\pdflib\Release,..\..\pdflib"
-				SubSystem="1"
-				TargetMachine="1"/>
-			<Tool
-				Name="VCMIDLTool"
-				TypeLibraryName="./starter_type3font.tlb"
-				HeaderFileName=""/>
-			<Tool
-				Name="VCPostBuildEventTool"/>
-			<Tool
-				Name="VCPreBuildEventTool"/>
-			<Tool
-				Name="VCPreLinkEventTool"/>
-			<Tool
-				Name="VCResourceCompilerTool"
-				PreprocessorDefinitions="_DEBUG"
-				Culture="1031"/>
-			<Tool
-				Name="VCWebServiceProxyGeneratorTool"/>
-			<Tool
-				Name="VCXMLDataGeneratorTool"/>
-			<Tool
-				Name="VCWebDeploymentTool"/>
-			<Tool
-				Name="VCManagedWrapperGeneratorTool"/>
-			<Tool
-				Name="VCAuxiliaryManagedWrapperGeneratorTool"/>
-		</Configuration>
-	</Configurations>
-	<References>
-	</References>
-	<Files>
-		<Filter
-			Name="Source Files"
-			Filter="cpp;c;cxx;rc;def;r;odl;idl;hpj;bat">
-			<File
-				RelativePath="pdflib.cpp">
-				<FileConfiguration
-					Name="Debug|Win32">
-					<Tool
-						Name="VCCLCompilerTool"
-						Optimization="0"
-						AdditionalIncludeDirectories=""
-						PreprocessorDefinitions=""/>
-				</FileConfiguration>
-				<FileConfiguration
-					Name="Release|Win32">
-					<Tool
-						Name="VCCLCompilerTool"
-						Optimization="2"
-						AdditionalIncludeDirectories=""
-						PreprocessorDefinitions=""/>
-				</FileConfiguration>
-			</File>
-			<File
-				RelativePath="starter_type3font.cpp">
-				<FileConfiguration
-					Name="Debug|Win32">
-					<Tool
-						Name="VCCLCompilerTool"
-						Optimization="0"
-						AdditionalIncludeDirectories=""
-						PreprocessorDefinitions=""/>
-				</FileConfiguration>
-				<FileConfiguration
-					Name="Release|Win32">
-					<Tool
-						Name="VCCLCompilerTool"
-						Optimization="2"
-						AdditionalIncludeDirectories=""
-						PreprocessorDefinitions=""/>
-				</FileConfiguration>
-			</File>
-		</Filter>
-		<Filter
-			Name="Header Files"
-			Filter="h;hpp;hxx;hm;inl">
-			<File
-				RelativePath="pdflib.hpp">
-			</File>
-		</Filter>
-		<Filter
-			Name="Resource Files"
-			Filter="ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe">
-		</Filter>
-	</Files>
-	<Globals>
-	</Globals>
-</VisualStudioProject>
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioProject
+	ProjectType="Visual C++"
+	Version="7.10"
+	Name="starter_type3font"
+	ProjectGUID="{55F0E0EC-EF05-4105-8A5A-BD474B87A5E3}"
+	SccProjectName=""
+	SccLocalPath="">
+	<Platforms>
+		<Platform
+			Name="Win32"/>
+	</Platforms>
+	<Configurations>
+		<Configuration
+			Name="Debug|Win32"
+			OutputDirectory=".\Debug"
+			IntermediateDirectory=".\Debug"
+			ConfigurationType="1"
+			UseOfMFC="0"
+			ATLMinimizesCRunTimeLibraryUsage="FALSE"
+			CharacterSet="2">
+			<Tool
+				Name="VCCLCompilerTool"
+				Optimization="0"
+				AdditionalIncludeDirectories="../../../libs/pdflib,../../pdflib"
+				PreprocessorDefinitions="WIN32;_CRT_SECURE_NO_WARNINGS;_DEBUG;_CONSOLE;_MT"
+				RuntimeLibrary="1"
+				UsePrecompiledHeader="2"
+				PrecompiledHeaderFile=".\Debug/starter_type3font.pch"
+				AssemblerListingLocation=".\Debug/"
+				ObjectFile=".\Debug/"
+				ProgramDataBaseFileName=".\Debug/"
+				WarningLevel="3"
+				SuppressStartupBanner="TRUE"
+				DebugInformationFormat="4"
+				CompileAs="0"/>
+			<Tool
+				Name="VCCustomBuildTool"/>
+			<Tool
+				Name="VCLinkerTool"
+				AdditionalDependencies="odbc32.lib odbccp32.lib pdflib.lib"
+				OutputFile=".\Debug/starter_type3font.exe"
+				Version="6.0"
+				LinkIncremental="2"
+				SuppressStartupBanner="TRUE"
+				AdditionalLibraryDirectories="..\..\..\libs\pdflib\Debug,..\..\pdflib"
+				GenerateDebugInformation="TRUE"
+				SubSystem="1"
+				TargetMachine="1"/>
+			<Tool
+				Name="VCMIDLTool"
+				TypeLibraryName=".\Debug/starter_type3font.tlb"
+				HeaderFileName=""/>
+			<Tool
+				Name="VCPostBuildEventTool"/>
+			<Tool
+				Name="VCPreBuildEventTool"/>
+			<Tool
+				Name="VCPreLinkEventTool"/>
+			<Tool
+				Name="VCResourceCompilerTool"
+				PreprocessorDefinitions="_DEBUG"
+				Culture="1031"/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"/>
+			<Tool
+				Name="VCWebDeploymentTool"/>
+			<Tool
+				Name="VCManagedWrapperGeneratorTool"/>
+			<Tool
+				Name="VCAuxiliaryManagedWrapperGeneratorTool"/>
+		</Configuration>
+		<Configuration
+			Name="Release|Win32"
+			OutputDirectory="."
+			IntermediateDirectory=".\Release"
+			ConfigurationType="1"
+			UseOfMFC="0"
+			ATLMinimizesCRunTimeLibraryUsage="FALSE"
+			CharacterSet="2">
+			<Tool
+				Name="VCCLCompilerTool"
+				Optimization="2"
+				InlineFunctionExpansion="1"
+				AdditionalIncludeDirectories="../../../libs/pdflib,../../pdflib"
+				PreprocessorDefinitions="WIN32;_CRT_SECURE_NO_WARNINGS;_CONSOLE;_MT"
+				StringPooling="TRUE"
+				RuntimeLibrary="0"
+				EnableFunctionLevelLinking="TRUE"
+				UsePrecompiledHeader="2"
+				PrecompiledHeaderFile=".\Release/starter_type3font.pch"
+				AssemblerListingLocation=".\Release/"
+				ObjectFile=".\Release/"
+				ProgramDataBaseFileName=".\Release/"
+				WarningLevel="3"
+				SuppressStartupBanner="TRUE"
+				CompileAs="0"/>
+			<Tool
+				Name="VCCustomBuildTool"/>
+			<Tool
+				Name="VCLinkerTool"
+				AdditionalDependencies="odbc32.lib odbccp32.lib pdflib.lib"
+				OutputFile="release\starter_type3font.exe"
+				Version="6.0"
+				LinkIncremental="2"
+				SuppressStartupBanner="TRUE"
+				AdditionalLibraryDirectories="..\..\..\libs\pdflib\Release,..\..\pdflib"
+				SubSystem="1"
+				TargetMachine="1"/>
+			<Tool
+				Name="VCMIDLTool"
+				TypeLibraryName="./starter_type3font.tlb"
+				HeaderFileName=""/>
+			<Tool
+				Name="VCPostBuildEventTool"/>
+			<Tool
+				Name="VCPreBuildEventTool"/>
+			<Tool
+				Name="VCPreLinkEventTool"/>
+			<Tool
+				Name="VCResourceCompilerTool"
+				PreprocessorDefinitions="_DEBUG"
+				Culture="1031"/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"/>
+			<Tool
+				Name="VCWebDeploymentTool"/>
+			<Tool
+				Name="VCManagedWrapperGeneratorTool"/>
+			<Tool
+				Name="VCAuxiliaryManagedWrapperGeneratorTool"/>
+		</Configuration>
+	</Configurations>
+	<References>
+	</References>
+	<Files>
+		<Filter
+			Name="Source Files"
+			Filter="cpp;c;cxx;rc;def;r;odl;idl;hpj;bat">
+			<File
+				RelativePath="pdflib.cpp">
+				<FileConfiguration
+					Name="Debug|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="0"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="2"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""/>
+				</FileConfiguration>
+			</File>
+			<File
+				RelativePath="starter_type3font.cpp">
+				<FileConfiguration
+					Name="Debug|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="0"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""/>
+				</FileConfiguration>
+				<FileConfiguration
+					Name="Release|Win32">
+					<Tool
+						Name="VCCLCompilerTool"
+						Optimization="2"
+						AdditionalIncludeDirectories=""
+						PreprocessorDefinitions=""/>
+				</FileConfiguration>
+			</File>
+		</Filter>
+		<Filter
+			Name="Header Files"
+			Filter="h;hpp;hxx;hm;inl">
+			<File
+				RelativePath="pdflib.hpp">
+			</File>
+		</Filter>
+		<Filter
+			Name="Resource Files"
+			Filter="ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe">
+		</Filter>
+	</Files>
+	<Globals>
+	</Globals>
+</VisualStudioProject>
diff -uNr PDFlib-Lite-7.0.4/bind/pdflib/cpp/starter_webform.vcproj PDFlib-Lite-7.0.5/bind/pdflib/cpp/starter_webform.vcproj
--- PDFlib-Lite-7.0.4/bind/pdflib/cpp/starter_webform.vcproj	2009-06-08 17:57:26.000000000 +0200
+++ PDFlib-Lite-7.0.5/bind/pdflib/cpp/starter_webform.vcproj	2010-04-29 15:50:03.000000000 +0200
@@ -23,7 +23,7 @@
 				Name="VCCLCompilerTool"
 				Optimization="0"
 				AdditionalIncludeDirectories="../../../libs/pdflib,../../pdflib"
-				PreprocessorDefinitions="WIN32;_DEBUG;_CONSOLE;_MT"
+				PreprocessorDefinitions="WIN32;_CRT_SECURE_NO_WARNINGS;_DEBUG;_CONSOLE;_MT"
 				RuntimeLibrary="1"
 				UsePrecompiledHeader="2"
 				PrecompiledHeaderFile=".\Debug/starter_webform.pch"
@@ -85,7 +85,7 @@
 				Optimization="2"
 				InlineFunctionExpansion="1"
 				AdditionalIncludeDirectories="../../../libs/pdflib,../../pdflib"
-				PreprocessorDefinitions="WIN32;_CONSOLE;_MT"
+				PreprocessorDefinitions="WIN32;_CRT_SECURE_NO_WARNINGS;_CONSOLE;_MT"
 				StringPooling="TRUE"
 				RuntimeLibrary="0"
 				EnableFunctionLevelLinking="TRUE"
Dateien PDFlib-Lite-7.0.4/bind/pdflib/data/pCOS-datasheet.pdf und PDFlib-Lite-7.0.5/bind/pdflib/data/pCOS-datasheet.pdf sind verschieden.
Dateien PDFlib-Lite-7.0.4/bind/pdflib/data/PDFlib-datasheet.pdf und PDFlib-Lite-7.0.5/bind/pdflib/data/PDFlib-datasheet.pdf sind verschieden.
Dateien PDFlib-Lite-7.0.4/bind/pdflib/data/PDFlib-logo.tif und PDFlib-Lite-7.0.5/bind/pdflib/data/PDFlib-logo.tif sind verschieden.
Dateien PDFlib-Lite-7.0.4/bind/pdflib/data/PDFlib-real-world.pdf und PDFlib-Lite-7.0.5/bind/pdflib/data/PDFlib-real-world.pdf sind verschieden.
Dateien PDFlib-Lite-7.0.4/bind/pdflib/data/PLOP-datasheet.pdf und PDFlib-Lite-7.0.5/bind/pdflib/data/PLOP-datasheet.pdf sind verschieden.
Dateien PDFlib-Lite-7.0.4/bind/pdflib/data/TET-datasheet.pdf und PDFlib-Lite-7.0.5/bind/pdflib/data/TET-datasheet.pdf sind verschieden.
diff -uNr PDFlib-Lite-7.0.4/bind/pdflib/java/Makefile PDFlib-Lite-7.0.5/bind/pdflib/java/Makefile
--- PDFlib-Lite-7.0.4/bind/pdflib/java/Makefile	2009-06-08 17:57:34.000000000 +0200
+++ PDFlib-Lite-7.0.5/bind/pdflib/java/Makefile	2010-05-05 21:36:16.854346864 +0200
@@ -108,10 +108,10 @@
 install:: $(LIBNAME) pdflib.jar
 	@-if test -f .libs/libpdf_java.jnilib; then		\
 	    $(LIBTOOL) --mode=install $(INSTALL_DATA)		\
-		.libs/libpdf_java.jnilib $(LANG_LIBDIR);	\
+		.libs/libpdf_java.jnilib $(DESTDIR)$(LANG_LIBDIR);	\
 	else							\
 	    $(LIBTOOL) --mode=install $(INSTALL_DATA)		\
-		$(LIBNAME) $(LANG_LIBDIR);			\
+		$(LIBNAME) $(DESTDIR)$(LANG_LIBDIR);			\
 	fi
 	@echo Copy pdflib.jar and javadoc to an appropriate directory,
 	@echo and include pdflib.jar in your CLASSPATH.
diff -uNr PDFlib-Lite-7.0.4/bind/pdflib/java/Makefile.orig PDFlib-Lite-7.0.5/bind/pdflib/java/Makefile.orig
--- PDFlib-Lite-7.0.4/bind/pdflib/java/Makefile.orig	1970-01-01 01:00:00.000000000 +0100
+++ PDFlib-Lite-7.0.5/bind/pdflib/java/Makefile.orig	2010-04-29 15:50:11.000000000 +0200
@@ -0,0 +1,143 @@
+# Makefile for PDFlib's Java binding
+# $Id: Makefile,v 1.55.2.18 2009/04/21 12:15:36 rjs Exp $
+
+top_builddir	= ../../..
+MYJAR   = pdflib.jar
+JAVAC   = javac -classpath $(MYJAR):.
+COMPILE = $(JAVAC) $(JAVACFLAGS)
+JAVA    = $(LIBTOOL_EXE) java -classpath $(MYJAR):.
+JAR     = jar
+
+include ../../../config/mkcommon.inc
+
+PDFPEDANTIC	=
+PDFWALL	=
+
+DEPLIBS		= $(BIND_PDFLIBLINK)
+LIBS		= $(DEPLIBS)
+INCLUDES	= $(PDFLIBINC) $(PDCORELIBINC) $(JAVAINCLUDE)
+
+LANG_LIBDIR 	= $(DESTDIR)$(libdir)
+
+_LIBNAME	= pdf_java
+LIBNAME		= lib$(_LIBNAME)$(DLL)
+OBJ		= pdflib_java$(LO)
+SRC		= pdflib_java.c
+
+include ../../../config/mkbind.inc
+
+TESTPROGS	= 		\
+	hello.class 		\
+	image.class 		\
+	pdfclock.class 		\
+	chartab.class 		\
+	invoice.class 		\
+	businesscard.class 	\
+	quickreference.class	\
+	starter_basic.class	\
+	starter_block.class	\
+	starter_pcos.class	\
+	starter_pdfa.class	\
+	starter_pdfmerge.class	\
+	starter_pdfx.class	\
+	starter_table.class	\
+	starter_tagged.class	\
+	starter_textflow.class	\
+	starter_webform.class	\
+	starter_3d.class	\
+	starter_type3font.class	\
+	starter_pvf.class	\
+	starter_layer.class	\
+	starter_color.class	\
+	starter_textline.class	\
+	starter_image.class	\
+	starter_graphics.class
+
+.SUFFIXES:      .java .class
+
+.java.class:
+	-$(COMPILE) $<
+
+all::	$(LIBNAME) pdflib.jar
+
+
+pdflib.jar:: pdflib.java PDFlibException.java
+	$(RM) com
+	$(MKDIR) com
+	$(MKDIR) com$(PATHSEP)pdflib
+	$(COMPILE) $(JAVA_COMPATIBILITY) PDFlibException.java pdflib.java 
+	$(MOVE) pdflib.class com$(PATHSEP)pdflib
+	$(MOVE) PDFlibException.class com$(PATHSEP)pdflib
+	$(JAR) cvf pdflib.jar com/pdflib/pdflib.class \
+	    com/pdflib/PDFlibException.class
+	$(RM) com
+
+javadoc::
+	$(RM) javadoc
+	$(MKDIR) javadoc
+	-javadoc -notree -author -version -d javadoc -public \
+	    pdflib.java PDFlibException.java
+
+test:: $(LIBNAME) pdflib.jar $(TESTPROGS)
+	$(JAVA) hello
+	-$(JAVA) image
+	-$(JAVA) pdfclock
+	-$(JAVA) chartab
+	-$(JAVA) invoice
+	-$(JAVA) businesscard
+	-$(JAVA) quickreference
+	-$(JAVA) starter_basic
+	-$(JAVA) starter_block
+	-$(JAVA) starter_pcos >starter_pcos.txt
+	-$(JAVA) starter_pdfa
+	-$(JAVA) starter_pdfmerge
+	-$(JAVA) starter_pdfx
+	-$(JAVA) starter_table
+	-$(JAVA) starter_tagged
+	-$(JAVA) starter_textflow
+	-$(JAVA) starter_webform
+	-$(JAVA) starter_3d
+	-$(JAVA) starter_type3font
+	-$(JAVA) starter_pvf
+	-$(JAVA) starter_layer
+	-$(JAVA) starter_color
+	-$(JAVA) starter_textline
+	-$(JAVA) starter_image
+	-$(JAVA) starter_graphics
+
+install:: $(LIBNAME) pdflib.jar
+	@-if test -f .libs/libpdf_java.jnilib; then		\
+	    $(LIBTOOL) --mode=install $(INSTALL_DATA)		\
+		.libs/libpdf_java.jnilib $(LANG_LIBDIR);	\
+	else							\
+	    $(LIBTOOL) --mode=install $(INSTALL_DATA)		\
+		$(LIBNAME) $(LANG_LIBDIR);			\
+	fi
+	@echo Copy pdflib.jar and javadoc to an appropriate directory,
+	@echo and include pdflib.jar in your CLASSPATH.
+
+uninstall::
+	@-if test -f .libs/libpdf_java.jnilib; then		\
+	    $(LIBTOOL) --mode=uninstall $(RM)			\
+		$(LANG_LIBDIR)/libpdf_java.jnilib;		\
+	else							\
+	    $(LIBTOOL) --mode=uninstall $(RM)			\
+		$(LANG_LIBDIR)/$(LIBNAME);			\
+	fi
+
+clean::
+	$(RM) pdflib_java.lo pdflib_java.o *.class com pdflib.jar javadoc
+	$(RM) hello.pdf image.pdf pdfclock.pdf chartab.pdf invoice.pdf
+	$(RM) businesscard.pdf quickreference.pdf starter_pcos.txt
+	$(RM) starter_type3font.pdf starter_pvf.pdf starter_layer.pdf
+	$(RM) starter_color.pdf starter_image.pdf starter_graphics.pdf
+	$(RM) starter_textline.pdf starter_3d.pdf
+
+pdfcheck:
+	..$(PATHSEP)..$(PATHSEP)..$(PATHSEP)progs$(PATHSEP)pdi$(PATHSEP)pdfcheck -i starter.ref -o -
+
+pdfcheck_update:
+	../../../progs/pdi/pdfcheck -i starter.ref -o pdfcheck.out -update
+		@cp pdfcheck.out starter.ref
+
+# Automatically generated dependencies
diff -uNr PDFlib-Lite-7.0.4/bind/pdflib/java/PDFlibException.java PDFlib-Lite-7.0.5/bind/pdflib/java/PDFlibException.java
--- PDFlib-Lite-7.0.4/bind/pdflib/java/PDFlibException.java	2009-06-08 17:57:26.000000000 +0200
+++ PDFlib-Lite-7.0.5/bind/pdflib/java/PDFlibException.java	2010-04-29 15:50:03.000000000 +0200
@@ -10,7 +10,7 @@
  |                                                                           |
  *---------------------------------------------------------------------------*/
 
-/* $Id: PDFlibException.java,v 1.41.2.47 2009/06/08 15:36:38 rjs Exp $
+/* $Id: PDFlibException.java,v 1.41.2.57 2010/04/28 13:34:28 rjs Exp $
  *
  * PDFlibException Java class
  */
@@ -21,7 +21,7 @@
 
     Exception handling for PDFlib.
     @author Rainer Schaaf
-    @version 7.0.4p4
+    @version 7.0.5
 */
 
 public class PDFlibException extends Exception {
diff -uNr PDFlib-Lite-7.0.4/bind/pdflib/java/pdflib.java PDFlib-Lite-7.0.5/bind/pdflib/java/pdflib.java
--- PDFlib-Lite-7.0.4/bind/pdflib/java/pdflib.java	2009-06-08 17:57:26.000000000 +0200
+++ PDFlib-Lite-7.0.5/bind/pdflib/java/pdflib.java	2010-04-29 15:50:03.000000000 +0200
@@ -10,7 +10,7 @@
  |                                                                           |
  *---------------------------------------------------------------------------*/
 
-/* $Id: pdflib.java,v 1.106.2.49 2009/06/08 15:36:38 rjs Exp $
+/* $Id: pdflib.java,v 1.106.2.59 2010/04/28 13:34:28 rjs Exp $
  *
  * PDFlib Java class
  */
@@ -33,7 +33,7 @@
     PDFlib distribution.
 
     @author Thomas Merz
-    @version 7.0.4p4
+    @version 7.0.5
 */
 
 public final class pdflib {
